Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions
version.cpp File Reference
`#include <botan/version.h>`
`#include <botan/parsing.h>`
`#include <sstream>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | QUOTE(name) #name
#define | STR(macro) QUOTE(macro)

## Functions
std::string | Botan::runtime_version_check (uint32_t major, uint32_t minor, uint32_t patch)
const char * | Botan::version_cstr ()
uint32_t | Botan::version_datestamp ()
uint32_t | Botan::version_major ()
uint32_t | Botan::version_minor ()
uint32_t | Botan::version_patch ()
std::string | Botan::version_string ()

## Macro Definition Documentation

#define QUOTE | ( |  | name | ) | #name

#define STR | ( |  | macro | ) | QUOTE(macro)

Referenced by Botan::version_cstr().